set -e
module purge
module load intel/2018.4
module load impi/2018.4
module load mkl/2018.4
module load cmake/3.25.1

export NETCDF_DIR=/gpfs/apps/MN4/NETCDF/4.4.1.1/INTEL/IMPI
export NETCDFROOT=${NETCDF_DIR}
export NETCDFFROOT=${NETCDF_DIR}
export NETCDF_Fortran_INCLUDE_DIRECTORIES=${NETCDFFROOT}/include
export NETCDF_C_INCLUDE_DIRECTORIES=${NETCDFROOT}/include
export NETCDF_CXX_INCLUDE_DIRECTORIES=${NETCDFROOT}/include
export NETCDF_CXX_LIBRARIES=${NETCDFROOT}/lib

export  HDF5ROOT=/apps/HDF5/1.10.5/INTEL/IMPI
export  HDF5_C_INCLUDE_DIRECTORIES=$HDF5ROOT/include
export  HDF5_ROOT=$HDF5ROOT

export LD_LIBRARY_PATH=/apps/INTEL/2018.4.057/:/apps/INTEL/2018.4.057/include:$HDF5ROOT/lib:$NETCDFROOT/lib:$NETCDFFROOT/lib:$LD_LIBRARY_PATH
export FC=mpiifort CC=mpiicc CXX=mpiicpc


cd fesom-2.0
mkdir -p build; cd build; cmake -DOIFS_COUPLED=ON -DFESOM_COUPLED=ON ..;   make install -j `nproc --all`
cd ..
