module load COMPSs/eflows4hpc
module use /apps/HECUBA/modulefiles
module load Hecuba/1.1
#module load Hecuba/1.0_api
# Hecuba alreadu loads a special version of Python so not needed at this stage
#module load python
# experiment configuration
# only parameter - #CORES
export FESOM_CORES=$1
export QOS=$2
export MEMBERS=$3
#export FESOM_WORKINGDIR="/home/bsc32/bsc32044/pycompss_workflow_tests/1948"
export FESOM_EXE="/home/bsc32/bsc32044/fesom_hecuba/bin/fesom.x"
export NODE_ALLOCATION=$(((${FESOM_CORES}/48)*${MEMBERS}))
echo "Number of cores: ${FESOM_CORES}"
echo "Number of nodes to be used: ${NODE_ALLOCATION}"

#added by support to prevent the segmentation fault
ulimit -Ss unlimited


# Sample invocation of this script:
# ./launch_mn4.sh 288 debug 1
# ./launch_mn4.sh 144 debug 3
# $1 number of cores needed by the task
# $2 QoS to be used (determines the queue)
# $3 number of simulations of the ensemble

EXP_ID=$(printf "%06d\n" $((1 + $RANDOM % 100000)))


# launch the esm ensemble simulation with hecuba infraestructure through COMPSs (WORKING)
#c4s RUN -t=02:00:00 -nC=2 --logs=$PWD/logs
enqueue_compss -t -g  --sc_cfg=mn.cfg  \
               --qos=${QOS}  \
               --storage_props=$PWD/hecuba_lib/storage_props.cfg \
               --storage_home=$HECUBA_ROOT/compss \
               --log_level=debug \
               --job_name=esm_workflow  \
               --exec_time=60  \
               --worker_in_master_cpus=48  \
               --num_nodes=${NODE_ALLOCATION}  \
               --pythonpath=$PWD:$HECUBA_ROOT/compss  esm_simulation.py ${EXP_ID}


# launch dynamic analysis process (uses the previous launched  Hecuba infraestructure)
enqueue_compss -t  --sc_cfg=mn.cfg \
                  --log_level=debug \
                  --qos=${QOS} \
                  --storage_props=$PWD/hecuba_lib/storage_props.cfg \
                  --job_name=esm_analysis \
                  --exec_time=20 \
                  --worker_in_master_cpus=48 \
                  --num_nodes=1  \
                  --pythonpath=$PWD:$HECUBA_ROOT/compss  esm_dynamic_analysis.py ${EXP_ID}